import { UrlConfigService } from '@yukawa/chain-base-angular-client';
import { BaseRealm } from '@yukawa/chain-base-angular-domain';
import { InjectionToken } from '@angular/core';

class UrlService extends UrlConfigService {
    constructor(configService, cfg = "baseUrl") {
        super(cfg, configService);
    }
}

// noinspection JSUnusedGlobalSymbols
/**
 * inc.yukawa.chain.modules.main.core.MainRealm
 * @since 2.0.7
 **/
class MainRealm extends BaseRealm {
}
MainRealm.ROLE_MAIN_ADMIN = "ROLE_MAIN_ADMIN";
MainRealm.ROLE_MAIN_EDIT = "ROLE_MAIN_EDIT";
MainRealm.ROLE_MAIN_READ = "ROLE_MAIN_READ";
MainRealm.ROLE_SYS_INFO = "ROLE_SYS_INFO";
MainRealm.ROLE_USER_ADMIN = "ROLE_USER_ADMIN";
MainRealm.ROLE_USER_EDIT = "ROLE_USER_EDIT";
MainRealm.ROLE_USER_READ = "ROLE_USER_READ";
MainRealm.ROLE_USER_INFO = "ROLE_USER_INFO";
MainRealm.ROLE_USER_OWN = "ROLE_USER_OWN";
MainRealm.ROLE_GROUP_ADMIN = "ROLE_GROUP_ADMIN";
MainRealm.ROLE_GROUP_EDIT = "ROLE_GROUP_EDIT";
MainRealm.ROLE_GROUP_READ = "ROLE_GROUP_READ";
MainRealm.ROLE_MEMBERSHIP_ADMIN = "ROLE_MEMBERSHIP_ADMIN";
MainRealm.ROLE_MEMBERSHIP_EDIT = "ROLE_MEMBERSHIP_EDIT";
MainRealm.ROLE_MEMBERSHIP_READ = "ROLE_MEMBERSHIP_READ";
MainRealm.ROLE_LABEL_ADMIN = "ROLE_LABEL_ADMIN";
MainRealm.ROLE_LABEL_EDIT = "ROLE_LABEL_EDIT";
MainRealm.ROLE_LABEL_READ = "ROLE_LABEL_READ";
MainRealm.ROLE_ORG_ADMIN = "ROLE_ORG_ADMIN";
MainRealm.ROLE_ORG_EDIT = "ROLE_ORG_EDIT";
MainRealm.ROLE_ORG_READ = "ROLE_ORG_READ";
MainRealm.ROLE_ORG_INFO = "ROLE_ORG_INFO";
MainRealm.ROLE_ROLE_ADMIN = "ROLE_ROLE_ADMIN";
MainRealm.ROLE_ROLE_EDIT = "ROLE_ROLE_EDIT";
MainRealm.ROLE_ROLE_READ = "ROLE_ROLE_READ";
MainRealm.ROLE_SETTING_ADMIN = "ROLE_SETTING_ADMIN";
MainRealm.ROLE_SETTING_EDIT = "ROLE_SETTING_EDIT";
MainRealm.ROLE_SETTING_READ = "ROLE_SETTING_READ";
MainRealm.ROLE_TAG_ADMIN = "ROLE_TAG_ADMIN";
MainRealm.ROLE_TAG_EDIT = "ROLE_TAG_EDIT";
MainRealm.ROLE_TAG_READ = "ROLE_TAG_READ";

const LABEL_ASPECT = new InjectionToken("injection token for label aspect");

/*
 * Public API Surface of chain-main-core
 */

/**
 * Generated bundle index. Do not edit.
 */

export { LABEL_ASPECT, MainRealm, UrlService };
//# sourceMappingURL=yukawa-chain-main-angular-core.mjs.map
