import { ChainEntityBase, ChainKey, Change, Changed, EntityFilter, Info, Organized } from '@yukawa/chain-base-angular-domain';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.tag.Tag <br/>
*/
export interface Tag extends ChainEntityBase, Changed, Organized {
    change?: Change;
    info?: Info;
    readonly key?: ChainKey;
    /**
    *	@example YUK
    */
    orgId?: string;
    tagId?: string;
    vocabularyId?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.tag.TagFilter <br/>
*/
export interface TagFilter extends EntityFilter {
}
/**
*	@generator rest2ts
*	tag vocabulary <br/>
*	javaType: inc.yukawa.chain.modules.main.core.domain.tag.Vocabulary <br/>
*/
export interface Vocabulary extends ChainEntityBase, Changed {
    readonly key?: ChainKey;
    vocabularyId?: string;
}
